# Class CIM_PhysicalMediaInLocation
extends CIM_Dependency

Within a StorageLibrary, all Media should be accounted for, and be present in some Storage Location. This relationship is made explicit by the PhysicalMediaInLocation association. In addition, one can determine if a Location is empty or full based on whether this association exists for the StorageMediaLocation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PhysicalMediaInLocation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Within a StorageLibrary, all Media should be accounted for, and be present in some Storage Location. This relationship is made explicit by the PhysicalMediaInLocation association. In addition, one can determine if a Location is empty or full based on whether this association exists for the StorageMediaLocation.
UMLPackagePath | string | CIM::Physical::PhysicalMedia
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Orientation | uint16 |
Description | string | An enumeration expressing which 'Side' of the Media is facing up. Since sides can be named by various schemes (0/1 or A/B), both schemes are expressed in the Values array of this property. Also, the value 5 ("Not Applicable" describes that orientation is not pertinent for this Media.
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Side 0, Side 1, Side A, Side B, Not Applicable
TimeOfLastPlacement | datetime |
Description | string | The date and time that the Media was last placed into the referenced Location.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PhysicalMediaInLocation | CIM_StorageMediaLocation
Dependent | CIM_PhysicalMediaInLocation | CIM_PhysicalMedia

## Class Methods